| Tilt Five NDK |

Modules | Data Structures | Enumerations | Functions
Tilt Five™ Native Interface (C++)
Collaboration diagram for Tilt Five™ Native Interface (C++):

## Modules
| std::ostream formatters

## Data Structures
class | tiltfive::Client
| Client for communicating with the Tilt Five™ API. More...
class | tiltfive::Glasses
| Represents an instance of Tilt Five™ glasses. More...
class | tiltfive::GlassesConnectionHelper
| Utility class to automate the Glasses exclusive connection process. More...
class | tiltfive::WandStreamHelper
| Utility class to manage the wand stream. More...
class | tiltfive::ParamChangeListener
| Virtual base class for use with tiltfive::ParamChangeHelper. More...
class | tiltfive::ParamChangeHelper
| Utility class to track changes to parameters Using ParamChangeHelper. More...
class | tiltfive::Wand
| Represents an abstract instance of a Tilt Five™ wand Used with tiltfive::WandStreamHelper. More...

## Enumerations
enum class | tiltfive::ConnectionState : int { ConnectionState::kNotExclusivelyConnected , ConnectionState::kReserved , ConnectionState::kConnected , ConnectionState::kDisconnected }
| Represents the exclusivity connection state of glasses. More...

## Functions
auto | tiltfive::obtainClient (const std::string &applicationId, const std::string &applicationVersion, void *platformContext, const uint8_t sdkType=0) -> Result< std::shared_ptr< Client > >
| Obtain an instance of the Tilt Five™ API client. More...
auto | tiltfive::obtainGlasses (const std::string &identifier, const std::shared_ptr< Client > &client) -> Result< std::shared_ptr< Glasses > >
| Obtain an instance of the Tilt Five™ Glasses. More...
auto | tiltfive::obtainWandStreamHelper (std::shared_ptr< Glasses > glasses, std::chrono::milliseconds pollTimeout) -> std::shared_ptr< WandStreamHelper >
| Internal utility function - Do not call directly. More...
auto | tiltfive::obtainWand (T5_WandHandle handle, std::shared_ptr< WandStreamHelper > wandStreamHelper) -> std::shared_ptr< Wand >
| Internal utility function - Do not call directly. More...
auto | tiltfive::obtainGlassesConnectionHelper (std::shared_ptr< Glasses > glasses, const std::string &displayName, std::chrono::milliseconds connectionPollInterval) -> std::unique_ptr< GlassesConnectionHelper >
| Internal utility function - Do not call directly. More...
auto | tiltfive::obtainParamChangeHelper (std::shared_ptr< Client > client, std::weak_ptr< ParamChangeListener > listener, std::chrono::milliseconds pollInterval) -> std::unique_ptr< ParamChangeHelper >
| Internal utility function - Do not call directly. More...

## Detailed Description

C++ binder for the Tilt Five NDK

## Enumeration Type Documentation

## ◆ ConnectionState

enum class tiltfive::ConnectionState : int
| strong

Represents the exclusivity connection state of glasses.

Enumerator
kNotExclusivelyConnected | Glasses have not been connected for exclusive use. They may still be connected to the host.
kReserved | Glasses are reserved for exclusive use by this client.
kConnected | Glasses are connected for exclusive use by this client.
kDisconnected | Glasses were previously connected for exclusive use, but have now disconnected.

Definition at line 307 of file TiltFiveNative.hpp.

## Function Documentation

## ◆ obtainClient()

auto tiltfive::obtainClient | ( | const std::string & | applicationId,
|  | const std::string & | applicationVersion,
|  | void * | platformContext,
|  | const uint8_t | sdkType = `0`
| ) |  | -> Result<std::shared_ptr<Client>>
| inline

Obtain an instance of the Tilt Five™ API client.

Parameters

  [in] | applicationId | - Application ID. Refer to T5 docs for format.
  [in] | applicationVersion | - Application version. Refer to T5 docs for format.
  [in] | platformContext | - Platform specific context. Refer to T5 docs for format.
  [in] | sdkType | - Internal type. Leave at default value unless otherwise instructed by T5 staff.

Returns
  Instance of the Tilt Five™ API client or error.

Definition at line 1351 of file TiltFiveNative.hpp.

## ◆ obtainGlasses()

auto tiltfive::obtainGlasses | ( | const std::string & | identifier,
|  | const std::shared_ptr< Client > & | client
| ) |  | -> Result<std::shared_ptr<Glasses>>
| inline

Obtain an instance of the Tilt Five™ Glasses.

Parameters

  [in] | identifier | - Unique identifier for the glasses from listGlasses()
  [in] | client | - Instance of the Tilt Five™ API client

Returns
  Instance of the Tilt Five™ API Glasses or error.

Definition at line 1365 of file TiltFiveNative.hpp.

## ◆ obtainGlassesConnectionHelper()

auto tiltfive::obtainGlassesConnectionHelper | ( | std::shared_ptr< Glasses > | glasses,
|  | const std::string & | displayName,
|  | std::chrono::milliseconds | connectionPollInterval
| ) |  | -> std::unique_ptr<GlassesConnectionHelper>
| inline

Internal utility function - Do not call directly.

Definition at line 1384 of file TiltFiveNative.hpp.

Referenced by tiltfive::Glasses::createConnectionHelper().

## ◆ obtainParamChangeHelper()

auto tiltfive::obtainParamChangeHelper | ( | std::shared_ptr< Client > | client,
|  | std::weak_ptr< ParamChangeListener > | listener,
|  | std::chrono::milliseconds | pollInterval
| ) |  | -> std::unique_ptr<ParamChangeHelper>
| inline

Internal utility function - Do not call directly.

Definition at line 1394 of file TiltFiveNative.hpp.

Referenced by tiltfive::Client::createParamChangedHelper().

## ◆ obtainWand()

auto tiltfive::obtainWand | ( | T5_WandHandle | handle,
|  | std::shared_ptr< WandStreamHelper > | wandStreamHelper
| ) |  | -> std::shared_ptr<Wand>
| inline

Internal utility function - Do not call directly.

Definition at line 1378 of file TiltFiveNative.hpp.

Referenced by tiltfive::WandStreamHelper::listWands().

## ◆ obtainWandStreamHelper()

auto tiltfive::obtainWandStreamHelper | ( | std::shared_ptr< Glasses > | glasses,
|  | std::chrono::milliseconds | pollTimeout
| ) |  | -> std::shared_ptr<WandStreamHelper>
| inline

Internal utility function - Do not call directly.

Definition at line 1371 of file TiltFiveNative.hpp.

Referenced by tiltfive::Glasses::getWandStreamHelper().